#!/usr/bin/env python
# setup.py
# Distutils setup for the pythonutils package.
# Uses some of the buildutils commands.

# Copyright Michael Foord 2005
# EMail: fuzzyman AT voidspace DOT org DOT uk

# Released subject to the BSD License
# Please see http://www.voidspace.org.uk/python/license.shtml

# Scripts maintained at http://www.voidspace.org.uk/python/index.shtml
# For information about bugfixes, updates and support, please join the
# ConfigObj mailing list:
# http://lists.sourceforge.net/lists/listinfo/configobj-develop
# Comments, suggestions and bug reports welcome.

import sys
from distutils.core import setup
try:
    import buildutils
except ImportError:
    pass

from pythonutils import __version__ as VERSION
NAME = 'pythonutils'
DESCRIPTION = 'The Voidspace Pythonutils Collection'
URL = 'http://www.voidspace.org.uk/python/modules.shtml'
PACKAGE = True
LICENSE = 'BSD License'
PLATFORMS = ['Platform Independent']

if sys.version < '2.2.3':
    from distutils.dist import DistributionMetadata
    DistributionMetadata.classifiers = None
    DistributionMetadata.download_url = None

if PACKAGE:
    packages = [NAME]
    py_modules = None
else:
    py_modules = [NAME]
    packages = None

setup(name= NAME,
      version = VERSION,
      description = DESCRIPTION,
      license = LICENSE,
      platforms = PLATFORMS,
      author = 'Michael Foord',
      author_email = 'fuzzyman@voidspace.org.uk',
      url = URL,
      py_modules = py_modules,
      packages = [''],
      package_dir = {'':'pythonutils'},
      extra_path = 'pythonutils',
     )


"""
TODO
====

This is a **TODO** list for the ``setup.py`` file.

Get the pudge stuff working.

Add a download url.

Get the announce stuff working.

Also the setuptools egg stuff.

CHANGELOG
=========

2005/12/17 - Version 0.2.5
--------------------------

ConfigObj 4.1.0
cgiutils 0.3.5
pathutils 0.2.4
odict 0.2.1
validate 0.2.1

2005/10/17 - Version 0.2.3
--------------------------

Updated to ConfigObj 4.0.0 final

Updated to cgiutils 0.3.3

2005/09/09 - Version 0.2.2
--------------------------

Updated to ConfigObj 4.0.0 beta 5

This contains bugfixes to ConfigObj.

Updated to odict 0.1.2 with various improvements and optimisations.

2005/09/04 - Version 0.2.1
--------------------------

Updated to ConfigObj 4.0.0 beta 4

This contains bugfixes to ConfigObj.

2005/08/31      Version 0.2.0
Refactored and redocumented.

**Major** update to ConfigObj and validate.

Removed caseless, and added odict and urlpath.

* ConfigObj   4.0.0 beta 3
* listquote   1.4.0
* validate    0.2.0
* StandOut    2.1.0
* pathutils   0.2.1
* cgiutils    0.3.2
* odict       0.1.0
* urlpath     0.1.0

2005/03/04      Version 0.1.1
-----------------------------

Updated several of the modules (For bugfix to ``listquote.py``).

Thanks to Par Pandit <ppandit@yahoo.com>

* ConfigObj   3.3.1b
* caseless    2.2.0
* listquote   1.3.0
* validate    0.1.6
* StandOut    2.1.0
* pathutils   0.2.0
* cgiutils    0.3.0

2005/03/04      Version 0.1.0
-----------------------------

Packaged several of the Voidspace Pythonutils modules together.

* ConfigObj   3.3.0
* caseless    2.2.0
* validate    0.1.6
* listquote   1.2.0
* StandOut    2.1.0
* pathutils   0.1.0
* cgiutils    0.1.0
"""
